// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$userId = '198675834';
$response = $user = $api->Users->Get($userId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let user = {
Id: '146476890',
}
const getUser = async (userId) => {
return await mangopay.Users.get(userId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getUser(user.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewUser(userId)
begin
response = MangoPay::User.fetch(userId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch User: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myUser = {
Id: '146476890'
}
viewUser(myUser[:Id])
import com.mangopay.MangoPayApi;
import com.mangopay.core.Address;
import com.mangopay.entities.User;
import java.lang.reflect.Field;
public class ViewUser {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
User user = mangopay.getUserApi().get("user_m_01HRS7PQEGE4YGCM1AZK1ENTGE");
System.out.println(String.format("id: %s", user.getId()));
printObjectFields(user);
}
private static void printObjectFields(Object obj) {
Class<?> objClass = obj.getClass();
Field[] fields = objClass.getDeclaredFields();
for (Field field : fields) {
field.setAccessible(true);
try {
Object value = field.get(obj);
if (value instanceof Address) {
System.out.println(field.getName() + ": ");
printObjectFields(value);
} else {
System.out.println(field.getName() + ": " + value);
}
} catch (IllegalAccessException e) {
e.printStackTrace();
}
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id = 'your-client-id'
mangopay.apikey = 'your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser
natural_user = NaturalUser(
id = '210679673'
)
try:
view_natural_user = NaturalUser.get(natural_user.id)
pprint(vars(view_natural_user))
except NaturalUser.DoesNotExist:
print('The user {} does not exist'.format(natural_user.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";
var viewUser = await api.Users.GetAsync(userId);
string prettyPrint = JsonConvert.SerializeObject(viewUser, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Address": {
"AddressLine1": "3 rue des Plantes",
"AddressLine2": "Appartement 7",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"FirstName": "Sophia",
"LastName": "Garnier",
"Birthday": null,
"Nationality": null,
"CountryOfResidence": null,
"Occupation": null,
"IncomeRange": null,
"ProofOfIdentity": null,
"ProofOfAddress": null,
"Capacity": "NORMAL",
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using MANGOPAY API Collection Postman",
"CreationDate": 1670861981,
"PersonType": "NATURAL",
"Email": "sophia.garnier@test.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": false,
"TermsAndConditionsAcceptedDate": null,
"UserCategory": "PAYER",
"UserStatus": "ACTIVE"
}
{
"Address": {
"AddressLine1": "3 rue des Plantes",
"AddressLine2": "Appartement 7",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"FirstName": "Sophia",
"LastName": "Garnier",
"Birthday": 652117514,
"Nationality": "FR",
"CountryOfResidence": "FR",
"Occupation": null,
"IncomeRange": null,
"ProofOfIdentity": null,
"ProofOfAddress": null,
"Capacity": "NORMAL",
"PhoneNumber": null,
"PhoneNumberCountry": null,
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1726844626,
"PersonType": "NATURAL",
"Email": "sophia.garnier@test.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": true,
"TermsAndConditionsAcceptedDate": 1726844626,
"UserCategory": "OWNER",
"UserStatus": "ACTIVE"
}
{
"HeadquartersAddress": {
"AddressLine1": null,
"AddressLine2": null,
"City": null,
"Region": null,
"PostalCode": null,
"Country": null
},
"LegalRepresentativeAddress": {
"AddressLine1": "34 rue des Entreprises",
"AddressLine2": "Appartement 14",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"Name": "Best Business",
"LegalPersonType": "BUSINESS",
"LegalRepresentativeFirstName": "Richard",
"LegalRepresentativeLastName": "Moulin",
"LegalRepresentativeEmail": null,
"LegalRepresentativeBirthday": null,
"LegalRepresentativeNationality": null,
"LegalRepresentativeCountryOfResidence": null,
"ProofOfRegistration": null,
"ShareholderDeclaration": null,
"Statute": null,
"LegalRepresentativeProofOfIdentity": null,
"CompanyNumber": null,
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using MANGOPAY API Collection Postman",
"CreationDate": 1670863988,
"PersonType": "LEGAL",
"Email": "richard.moulin@email.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": false,
"TermsAndConditionsAcceptedDate": null,
"UserCategory": "PAYER",
"UserStatus": "ACTIVE"
}
{
"HeadquartersAddress": {
"AddressLine1": "34 rue des Entreprises",
"AddressLine2": "Batiment B",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"LegalRepresentativeAddress": {
"AddressLine1": "12032 Wiza Way",
"AddressLine2": "Mitchell Drive",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"Name": "Best Business",
"LegalPersonType": "BUSINESS",
"LegalRepresentativeFirstName": "Cedrick",
"LegalRepresentativeLastName": "Dickinson",
"LegalRepresentativeEmail": "Agustin.Ullrich@yahoo.com",
"LegalRepresentativeBirthday": 652117514,
"LegalRepresentativeNationality": "FR",
"LegalRepresentativeCountryOfResidence": "FR",
"ProofOfRegistration": null,
"ShareholderDeclaration": null,
"Statute": null,
"LegalRepresentativeProofOfIdentity": null,
"CompanyNumber": "123456789",
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using MANGOPAY API Collection Postman",
"CreationDate": 1670864174,
"PersonType": "LEGAL",
"Email": "cortney_douglas@yahoo.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": true,
"TermsAndConditionsAcceptedDate": 1670864174,
"UserCategory": "OWNER",
"UserStatus": "ACTIVE"
}
Non-SCA endpoints
View a User
GET
/
v2.01
/
{ClientId}
/
users
/
{UserId}
// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$userId = '198675834';
$response = $user = $api->Users->Get($userId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let user = {
Id: '146476890',
}
const getUser = async (userId) => {
return await mangopay.Users.get(userId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getUser(user.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewUser(userId)
begin
response = MangoPay::User.fetch(userId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch User: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myUser = {
Id: '146476890'
}
viewUser(myUser[:Id])
import com.mangopay.MangoPayApi;
import com.mangopay.core.Address;
import com.mangopay.entities.User;
import java.lang.reflect.Field;
public class ViewUser {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
User user = mangopay.getUserApi().get("user_m_01HRS7PQEGE4YGCM1AZK1ENTGE");
System.out.println(String.format("id: %s", user.getId()));
printObjectFields(user);
}
private static void printObjectFields(Object obj) {
Class<?> objClass = obj.getClass();
Field[] fields = objClass.getDeclaredFields();
for (Field field : fields) {
field.setAccessible(true);
try {
Object value = field.get(obj);
if (value instanceof Address) {
System.out.println(field.getName() + ": ");
printObjectFields(value);
} else {
System.out.println(field.getName() + ": " + value);
}
} catch (IllegalAccessException e) {
e.printStackTrace();
}
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id = 'your-client-id'
mangopay.apikey = 'your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser
natural_user = NaturalUser(
id = '210679673'
)
try:
view_natural_user = NaturalUser.get(natural_user.id)
pprint(vars(view_natural_user))
except NaturalUser.DoesNotExist:
print('The user {} does not exist'.format(natural_user.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";
var viewUser = await api.Users.GetAsync(userId);
string prettyPrint = JsonConvert.SerializeObject(viewUser, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Address": {
"AddressLine1": "3 rue des Plantes",
"AddressLine2": "Appartement 7",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"FirstName": "Sophia",
"LastName": "Garnier",
"Birthday": null,
"Nationality": null,
"CountryOfResidence": null,
"Occupation": null,
"IncomeRange": null,
"ProofOfIdentity": null,
"ProofOfAddress": null,
"Capacity": "NORMAL",
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using MANGOPAY API Collection Postman",
"CreationDate": 1670861981,
"PersonType": "NATURAL",
"Email": "sophia.garnier@test.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": false,
"TermsAndConditionsAcceptedDate": null,
"UserCategory": "PAYER",
"UserStatus": "ACTIVE"
}
{
"Address": {
"AddressLine1": "3 rue des Plantes",
"AddressLine2": "Appartement 7",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"FirstName": "Sophia",
"LastName": "Garnier",
"Birthday": 652117514,
"Nationality": "FR",
"CountryOfResidence": "FR",
"Occupation": null,
"IncomeRange": null,
"ProofOfIdentity": null,
"ProofOfAddress": null,
"Capacity": "NORMAL",
"PhoneNumber": null,
"PhoneNumberCountry": null,
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1726844626,
"PersonType": "NATURAL",
"Email": "sophia.garnier@test.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": true,
"TermsAndConditionsAcceptedDate": 1726844626,
"UserCategory": "OWNER",
"UserStatus": "ACTIVE"
}
{
"HeadquartersAddress": {
"AddressLine1": null,
"AddressLine2": null,
"City": null,
"Region": null,
"PostalCode": null,
"Country": null
},
"LegalRepresentativeAddress": {
"AddressLine1": "34 rue des Entreprises",
"AddressLine2": "Appartement 14",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"Name": "Best Business",
"LegalPersonType": "BUSINESS",
"LegalRepresentativeFirstName": "Richard",
"LegalRepresentativeLastName": "Moulin",
"LegalRepresentativeEmail": null,
"LegalRepresentativeBirthday": null,
"LegalRepresentativeNationality": null,
"LegalRepresentativeCountryOfResidence": null,
"ProofOfRegistration": null,
"ShareholderDeclaration": null,
"Statute": null,
"LegalRepresentativeProofOfIdentity": null,
"CompanyNumber": null,
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using MANGOPAY API Collection Postman",
"CreationDate": 1670863988,
"PersonType": "LEGAL",
"Email": "richard.moulin@email.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": false,
"TermsAndConditionsAcceptedDate": null,
"UserCategory": "PAYER",
"UserStatus": "ACTIVE"
}
{
"HeadquartersAddress": {
"AddressLine1": "34 rue des Entreprises",
"AddressLine2": "Batiment B",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"LegalRepresentativeAddress": {
"AddressLine1": "12032 Wiza Way",
"AddressLine2": "Mitchell Drive",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"Name": "Best Business",
"LegalPersonType": "BUSINESS",
"LegalRepresentativeFirstName": "Cedrick",
"LegalRepresentativeLastName": "Dickinson",
"LegalRepresentativeEmail": "Agustin.Ullrich@yahoo.com",
"LegalRepresentativeBirthday": 652117514,
"LegalRepresentativeNationality": "FR",
"LegalRepresentativeCountryOfResidence": "FR",
"ProofOfRegistration": null,
"ShareholderDeclaration": null,
"Statute": null,
"LegalRepresentativeProofOfIdentity": null,
"CompanyNumber": "123456789",
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using MANGOPAY API Collection Postman",
"CreationDate": 1670864174,
"PersonType": "LEGAL",
"Email": "cortney_douglas@yahoo.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": true,
"TermsAndConditionsAcceptedDate": 1670864174,
"UserCategory": "OWNER",
"UserStatus": "ACTIVE"
}
Caution - Deprecated endpointThe legacy User endpoints are deprecated. This endpoint will stop working and return an error after Dec 15, 2025.These endpoints were made redundant by the equivalent SCA-enabled endpoints during the introduction of SCA.Instead of calling this endpoint to retrieve key details of a user, your platform must call the GET View a User (SCA) endpoint.
Path parameters
string
required
The unique identifier of the user.
Responses
200 - Natural
200 - Natural
object
The postal address of the user.
Show properties
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the
Country is US, CA, or MX.string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country of the address.
string
Min. length: 1; max. length: 100The first name of the individual.
string
Min. length: 1; max. length: 100The last name of the individual.
Unix timestamp
Returned
null if UserCategory is PAYER.The date of birth of the individual.Note: This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before.string
Returned
null if UserCategory is PAYER.The nationality of the individual.string
Returned
null if UserCategory is PAYER.The country of residence of the individual.string
Max. length: 255 charactersThe occupation of the individual.Returned
null if UserCategory is PAYER.integer
Returned
null if UserCategory is PAYER.The bracket indicating the income of the individual. The brackets are:- 1: < 18K
- 2: 18K - 30K
- 3: 30K - 50K
- 4: 50K - 80K
- 5: 80K - 120K
- 6: > 120K
string
The
Id of the KYC Document whose Type is IDENTITY_PROOF if validated for the user. If no identity proof is validated, then this value is null.string
The
Id of the KYC Document whose Type is ADDRESS_PROOF if validated for the user. If no address proof is validated, then this value is null.string
This is a deprecated parameter.
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
Unix timestamp
The date and time at which the object was created.
string
Returned values: NATURAL, LEGALThe type of the user:
NATURAL– Natural users are individuals (natural persons).LEGAL– Legal users are legal entities (legal persons) like companies, non-profits, and sole proprietors.
PersonType is defined by the endpoint used to create the user and can’t be modified.string
Format: A valid email addressThe email address of the user.
string
Default value:
LIGHTReturned values: LIGHT, REGULARThe verification status of the user set by Mangopay:LIGHT– Unverified, assigned by default to all users.REGULAR– Verified, meaning the user has successfully completed the verification process and had the necessary documents validated by Mangopay. Only users whoseUserCategoryisOWNERcan submit verification documents for validation. Only users whoseKYCLevelisREGULARcan request payouts.
boolean
Whether the user has accepted Mangopay’s terms and conditions (as defined by your contract, see the T&Cs guide for details).Must be
true if UserCategory is OWNER.Unix timestamp
The date and time at which the
TermsAndConditionsAccepted value was set to true.Returned null if UserCategory is PAYER.string
Possible values:
PAYER, OWNER, PLATFORMThe category of the user:PAYER– User who can only make pay-ins to their wallets and transfers to other wallets (as well as refunds for pay-ins and transfers).OWNER– User who can also receive transfers to their wallets. Owners are able to request KYC verification, which if successful gives them theKYCLevelofREGULARand the ability to request payouts.PLATFORM– Single specific user that represents the platform. ThePLATFORMvalue is only assigned by Mangopay and may be used as part of the validated workflow implemented by the platform.
string
Returned values: ACTIVE, CLOSEDInternal use only. This field can only be used and updated by Mangopay teams.
200 - Legal
200 - Legal
object
The legally registered address of the entity’s administrative center.
This object’s sub-parameters are
This object’s sub-parameters are
null if the UserCategory is PAYER.Show properties
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the
Country is US, CA, or MX.string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country of the address.
object
The address of the entity’s legal representative.
Show properties
Show properties
string
Max. length: 255 charactersThe first line of the address.
string
Max. length: 255 charactersThe second line of the address.
string
Max. length: 255 charactersThe city of the address.
string
Max. length: 255 charactersThe region of the address. This field is optional except if the
Country is US, CA, or MX.string
Max. length: 255 charactersThe postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces.
string
Format: Two-letter country code (ISO 3166-1 alpha-2 format)The country of the address.
string
Max. length: 255 charactersThe registered legal name of the entity. The
Name value should be the one registered with the relevant national authority.string
Returned values: BUSINESS, PARTNERSHIP, ORGANIZATION, SOLETRADERThe type of legal user. For information on which
LegalPersonType to use for a particular local legal structure, see the verification requirements.Caution: Modification of the LegalPersonType may result in a verification downgrade.string
Min. length: 1; max. length: 100The first name of the entity’s legal representative.
string
Min. length: 1; max. length: 100The last name of the entity’s legal representative.
string
Format: A valid email addressThe email address of the entity’s legal representative.Returned
null if UserCategory is PAYER.Unix timestamp
The date of birth of the entity’s legal representative.Returned
null if UserCategory is PAYER.Note: This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before.string
Returned
null if UserCategory is PAYER.The nationality of the entity’s legal representative.string
Returned
null if UserCategory is PAYER.The country of residence of the entity’s legal representative.string
The
Id of the KYC Document whose Type is REGISTRATION_PROOF if validated for the user. If no registration proof is validated, then this value is null.string
The
Id of the KYC Document whose Type is SHAREHOLDERS_DECLARATION if validated for the user. If no Shareholder Declaration is validated, then this value is null.string
The
Id of the KYC Document whose Type is ARTICLES_OF_ASSOCIATION if validated for the user. If no articles of association document is validated, then this value is null.string
The
Id of the KYC Document whose Type is IDENTITY_PROOF if validated for the user. If no identity proof is validated, then this value is null.string
Required if
UserCategory is OWNER and LegalPersonType is BUSINESS. Returned null if UserCategory is PAYER.The registration number of the entity, assigned by the relevant national authority. For information on the expected format for a specific country, see the Company number guide. To validate the format of a number before submitting documents for verification, use POST Validate the format of User data.string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
Unix timestamp
The date and time at which the object was created.
string
Returned values: NATURAL, LEGALThe type of the user:
NATURAL– Natural users are individuals (natural persons).LEGAL– Legal users are legal entities (legal persons) like companies, non-profits, and sole proprietors.
PersonType is defined by the endpoint used to create the user and can’t be modified.string
Format: A valid email addressThe email address for the entity.
string
Default value:
LIGHTReturned values: LIGHT, REGULARThe verification status of the user set by Mangopay:LIGHT– Unverified, assigned by default to all users.REGULAR– Verified, meaning the user has successfully completed the verification process and had the necessary documents validated by Mangopay. Only users whoseUserCategoryisOWNERcan submit verification documents for validation. Only users whoseKYCLevelisREGULARcan request payouts.
boolean
Whether the user has accepted Mangopay’s terms and conditions (as defined by your contract, see the T&Cs guide for details).Must be
true if UserCategory is OWNER.Unix timestamp
The date and time at which the
TermsAndConditionsAccepted value was set to true.Returned null if UserCategory is PAYER.string
Possible values:
PAYER, OWNER, PLATFORMThe category of the user:PAYER– User who can only make pay-ins to their wallets and transfers to other wallets (as well as refunds for pay-ins and transfers).OWNER– User who can also receive transfers to their wallets. Owners are able to request KYC verification, which if successful gives them theKYCLevelofREGULARand the ability to request payouts.PLATFORM– Single specific user that represents the platform. ThePLATFORMvalue is only assigned by Mangopay and may be used as part of the validated workflow implemented by the platform.
string
Returned values: ACTIVE, CLOSEDInternal use only. This field can only be used and updated by Mangopay teams.
{
"Address": {
"AddressLine1": "3 rue des Plantes",
"AddressLine2": "Appartement 7",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"FirstName": "Sophia",
"LastName": "Garnier",
"Birthday": null,
"Nationality": null,
"CountryOfResidence": null,
"Occupation": null,
"IncomeRange": null,
"ProofOfIdentity": null,
"ProofOfAddress": null,
"Capacity": "NORMAL",
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using MANGOPAY API Collection Postman",
"CreationDate": 1670861981,
"PersonType": "NATURAL",
"Email": "sophia.garnier@test.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": false,
"TermsAndConditionsAcceptedDate": null,
"UserCategory": "PAYER",
"UserStatus": "ACTIVE"
}
{
"Address": {
"AddressLine1": "3 rue des Plantes",
"AddressLine2": "Appartement 7",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"FirstName": "Sophia",
"LastName": "Garnier",
"Birthday": 652117514,
"Nationality": "FR",
"CountryOfResidence": "FR",
"Occupation": null,
"IncomeRange": null,
"ProofOfIdentity": null,
"ProofOfAddress": null,
"Capacity": "NORMAL",
"PhoneNumber": null,
"PhoneNumberCountry": null,
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using Mangopay API Postman Collection",
"CreationDate": 1726844626,
"PersonType": "NATURAL",
"Email": "sophia.garnier@test.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": true,
"TermsAndConditionsAcceptedDate": 1726844626,
"UserCategory": "OWNER",
"UserStatus": "ACTIVE"
}
{
"HeadquartersAddress": {
"AddressLine1": null,
"AddressLine2": null,
"City": null,
"Region": null,
"PostalCode": null,
"Country": null
},
"LegalRepresentativeAddress": {
"AddressLine1": "34 rue des Entreprises",
"AddressLine2": "Appartement 14",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"Name": "Best Business",
"LegalPersonType": "BUSINESS",
"LegalRepresentativeFirstName": "Richard",
"LegalRepresentativeLastName": "Moulin",
"LegalRepresentativeEmail": null,
"LegalRepresentativeBirthday": null,
"LegalRepresentativeNationality": null,
"LegalRepresentativeCountryOfResidence": null,
"ProofOfRegistration": null,
"ShareholderDeclaration": null,
"Statute": null,
"LegalRepresentativeProofOfIdentity": null,
"CompanyNumber": null,
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using MANGOPAY API Collection Postman",
"CreationDate": 1670863988,
"PersonType": "LEGAL",
"Email": "richard.moulin@email.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": false,
"TermsAndConditionsAcceptedDate": null,
"UserCategory": "PAYER",
"UserStatus": "ACTIVE"
}
{
"HeadquartersAddress": {
"AddressLine1": "34 rue des Entreprises",
"AddressLine2": "Batiment B",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"LegalRepresentativeAddress": {
"AddressLine1": "12032 Wiza Way",
"AddressLine2": "Mitchell Drive",
"City": "Paris",
"Region": "Île-de-France",
"PostalCode": "75001",
"Country": "FR"
},
"Name": "Best Business",
"LegalPersonType": "BUSINESS",
"LegalRepresentativeFirstName": "Cedrick",
"LegalRepresentativeLastName": "Dickinson",
"LegalRepresentativeEmail": "Agustin.Ullrich@yahoo.com",
"LegalRepresentativeBirthday": 652117514,
"LegalRepresentativeNationality": "FR",
"LegalRepresentativeCountryOfResidence": "FR",
"ProofOfRegistration": null,
"ShareholderDeclaration": null,
"Statute": null,
"LegalRepresentativeProofOfIdentity": null,
"CompanyNumber": "123456789",
"Id": "user_m_01J87ZBSP8FCVDSCB8PGWQHZPF",
"Tag": "Created using MANGOPAY API Collection Postman",
"CreationDate": 1670864174,
"PersonType": "LEGAL",
"Email": "cortney_douglas@yahoo.com",
"KYCLevel": "LIGHT",
"TermsAndConditionsAccepted": true,
"TermsAndConditionsAcceptedDate": 1670864174,
"UserCategory": "OWNER",
"UserStatus": "ACTIVE"
}
// GET has no body parameters
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$userId = '198675834';
$response = $user = $api->Users->Get($userId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let user = {
Id: '146476890',
}
const getUser = async (userId) => {
return await mangopay.Users.get(userId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
getUser(user.Id)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewUser(userId)
begin
response = MangoPay::User.fetch(userId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch User: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
myUser = {
Id: '146476890'
}
viewUser(myUser[:Id])
import com.mangopay.MangoPayApi;
import com.mangopay.core.Address;
import com.mangopay.entities.User;
import java.lang.reflect.Field;
public class ViewUser {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
User user = mangopay.getUserApi().get("user_m_01HRS7PQEGE4YGCM1AZK1ENTGE");
System.out.println(String.format("id: %s", user.getId()));
printObjectFields(user);
}
private static void printObjectFields(Object obj) {
Class<?> objClass = obj.getClass();
Field[] fields = objClass.getDeclaredFields();
for (Field field : fields) {
field.setAccessible(true);
try {
Object value = field.get(obj);
if (value instanceof Address) {
System.out.println(field.getName() + ": ");
printObjectFields(value);
} else {
System.out.println(field.getName() + ": " + value);
}
} catch (IllegalAccessException e) {
e.printStackTrace();
}
}
}
}
from pprint import pprint
import mangopay
mangopay.client_id = 'your-client-id'
mangopay.apikey = 'your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser
natural_user = NaturalUser(
id = '210679673'
)
try:
view_natural_user = NaturalUser.get(natural_user.id)
pprint(vars(view_natural_user))
except NaturalUser.DoesNotExist:
print('The user {} does not exist'.format(natural_user.id))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var userId = "user_m_01J2TZ261WZNDM0ZDRWGDYA4GN";
var viewUser = await api.Users.GetAsync(userId);
string prettyPrint = JsonConvert.SerializeObject(viewUser, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?